Index: src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorResourceImpl.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorResourceImpl.java	(revision 52)
+++ src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorResourceImpl.java	(revision 57)
@@ -133,6 +133,6 @@
 
     /**
-     * checks Annotator Auth plugin authentication information from headers.
-     * returns userId if successful.
+     * Checks Annotator Auth plugin authentication information from headers.
+     * Returns userId if successful. Returns "anonymous" in non-authorization mode.
      * 
      * @param entity
@@ -142,5 +142,10 @@
         Form requestHeaders = (Form) getRequest().getAttributes().get("org.restlet.http.headers");
         String authToken = requestHeaders.getFirstValue("x-annotator-auth-token", true);
-        if (authToken == null) return null;
+        if (authToken == null) {
+            if (!((BaseRestlet) getApplication()).isAuthorizationMode()) {
+                return "anonymous";
+            }
+            return null;
+        }
         // decode token first to get consumer key
         JsonToken token = new JsonTokenParser(null, null).deserialize(authToken);
Index: src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorRestlet.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorRestlet.java	(revision 52)
+++ src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorRestlet.java	(revision 57)
@@ -15,5 +15,5 @@
 public class AnnotatorRestlet extends BaseRestlet {
 
-    public final String version = "AnnotationManagerN4J/Annotator 0.2.2";
+    public final String version = "AnnotationManagerN4J/Annotator 0.2.3";
 
     public static Logger logger = Logger.getLogger(AnnotatorRestlet.class);
Index: src/main/java/de/mpiwg/itgroup/annotations/restlet/BaseRestlet.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/restlet/BaseRestlet.java	(revision 50)
+++ src/main/java/de/mpiwg/itgroup/annotations/restlet/BaseRestlet.java	(revision 57)
@@ -34,5 +34,5 @@
 
     /**
-     * Properties holding consumer keys and secrets
+     * Properties holding consumer keys and secrets.
      */
     protected Properties consumerKeys;
@@ -40,8 +40,14 @@
     public static final String CONSUMERKEYS_KEY = "annotationmanager.consumerkeys";
 
+    /**
+     * Properties holding server config.
+     */
     protected Properties serverConfig;
     public String CONFIG_PROPS_PATH = "WEB-INF/serverconfig.property";
     public static final String SERVERCONFIG_KEY = "annotationmanager.serverconfig";
 
+    /** 
+     * database instance;
+     */
     protected GraphDatabaseService graphDb;
     public static final String GRAPHDB_KEY = "annotationmanager.graphdb";
@@ -49,10 +55,19 @@
     public String graphdbPath = "WEB-INF/neo4j-annotation-db";
 
+    /**
+     * database interface server instance.
+     */
     protected WrappingNeoServerBootstrapper srv;
     public static final String GRAPHDBSRV_KEY = "annotationmanager.graphdb.srv";
 
+    /**
+     * annotation store instance.
+     */
     protected AnnotationStore store;
     public static final String ANNSTORE_KEY = "annotationmanager.store";
 
+    /**
+     * LDAP server URI (for looking up full user names).
+     */
     protected String ldapServerUrl;
     public static final String LDAP_SERVER_KEY = "annotationmanager.ldapserver.url";
@@ -61,4 +76,10 @@
     public static final String ADMIN_PASSWORD_KEY = "annotationmanager.admin.password";
 
+    /**
+     * run in authorization mode i.e. with tokens.
+     */
+    protected boolean authorizationMode = false; 
+    public static final String AUTHORIZATION_MODE_KEY = "annotationmanager.authorization";
+    
     /**
      * constructor
@@ -172,4 +193,11 @@
 
     /**
+     * @return the authorizationMode
+     */
+    public boolean isAuthorizationMode() {
+        return authorizationMode;
+    }
+
+    /**
      * @return the store
      */
